<script src="app-assets/vendors/js/jqBootstrapValidation.js" type="text/javascript"></script>
<script src="app-assets/js/form-validation.js" type="text/javascript"></script>

<div class="content-wrapper" ng-controller="despesaController as despesaCtrl">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form-horizontal" ng-submit="despesaCtrl.getVeiculo()" novalidate>
                            <div class="form-body">
                                <h4 class="form-section"><i class="ft-filter"></i> Filtro</h4>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="telefone">Placa: </label>
                                            <div class="col-md-9">
                                                <input class="form-control" mask="###-9999" required
                                                    ng-model="relatorioVeiculoCtrl.placa" id="placa">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3 right">
                                        <div class="form-group row">
                                            <div class="col-md-9">
                                                <button type="submit" class="btn btn-raised btn-primary">
                                                    <i class="fa fa-check-square-o"></i> Buscar
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </br>

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-content">
                    <div class="px-3">
                        <form class="form-horizontal" ng-submit="despesaCtrl.getVeiculo()" novalidate>
                            <div class="form-body">
                                <h4 class="form-section"><i class="fa fa-car"></i> Carro</h4>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="cpf">Placa:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="placa" ng-model="despesaCtrl.veiculo.placa"
                                                        disabled class="form-control mb-1" name="placa">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Marca/Modelo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="marcaModelo" disabled
                                                        ng-model="despesaCtrl.veiculo.marcaModelo" class="form-control "
                                                        name="marcaModelo">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Ano:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="ano" disabled
                                                        ng-model="despesaCtrl.veiculo.ano" class="form-control "
                                                        name="ano">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <h4 class="form-section"><i class="fa fa-money"></i> Lançamento</h4>
                                <div class="row">
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Tipo:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <select name="dropTipo" id="dropTipo" class="form-control"
                                                        ng-options="option.tipo for option in despesaCtrl.tipos track by option.id"
                                                        ng-model="despesaCtrl.tipo"></select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-3">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="rg">Valor:
                                            </label>
                                            <div class="col-md-9">
                                                <div class="controls mb-1">
                                                    <input type="text" id="valor" data-thousands="." data-decimal=","
                                                        required data-validation-required-message="Obrigatório"
                                                        ng-model="despesaCtrl.valor" class="form-control " name="valor">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group row">
                                            <label class="col-md-3 label-control" for="email">Motivo: </label>
                                            <fieldset class="form-group">
                                                <textarea class="form-control"
                                                    ng-model="despesaCtrl.descricao" id="descricao" rows="5"
                                                    cols="40"></textarea>
                                            </fieldset>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-actions right">
                                <button type="button" ng-click="despesaCtrl.cancelar()"
                                    class="btn btn-raised btn-warning mr-1">
                                    <i class="ft-x"></i> Cancelar
                                </button>
                                <button type="button" class="btn btn-raised btn-primary"
                                    ng-click="despesaCtrl.salvar();">
                                    <i class="fa fa-check-square-o"></i> Salvar
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>